## keystone 2013.2

=== debian/changelog ===
keystone (1:2013.2-0ubuntu1.2) saucy-security; urgency=low

  * SECURITY UPDATE: Keystone trust circumvention through EC2-style tokens
    - debian/patches/CVE-2013-6391.patch: addjust to store the trust_id with
      the ec2 keypair and pass this with metadata when requesting v2 token
    - CVE-2013-6391
    - LP: #1242597

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 19 Dec 2013 13:45:15 -0600

keystone (1:2013.2-0ubuntu1.1) saucy-security; urgency=low

  * SECURITY UPDATE: don't add role when attempting to remove a non-existent
    role
    - debian/patches/CVE-2013-4477.patch: raise RoleNotFound with exception
      ldap.NO_SUCH_OBJECT
    - CVE-2013-4477
    - LP: #1242855

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 05 Nov 2013 09:06:12 -0600

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Uploaders: Soren Hansen <soren@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50), python-setuptools,
 po-debconf,
 python-all (>= 2.6),
 python-babel,
 python-dogpile.cache (>= 0.5.0),
 python-eventlet,
 python-greenlet,
 python-keystoneclient (>= 1:0.3.0),
 python-ldap,
 python-lxml,
 python-memcache,
 python-migrate,
 python-mox,
 python-netaddr,
 python-netifaces,
 python-nose,
 python-oslo.config (>= 1:1.2.0),
 python-oslo.sphinx,
 python-pam (>= 0.1.4),
 python-passlib,
 python-paste,
 python-pastedeploy,
 python-pbr (>= 0.5),
 python-requests (>= 1.0.0),
 python-routes,
 python-sphinx,
 python-sqlalchemy (>= 0.8.2),
 python-testtools (>= 0.9.32),
 python-webob (>= 1.0.8),
 python-webtest,
 python-iso8601,
Standards-Version: 3.9.3
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/keystone
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/keystone/havana/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/keystone/havana
XS-Testsuite: autopkgtest

Package: python-keystone
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-pam (>= 0.1.4),
 python-webob (>= 1.0.8),
 python-eventlet,
 python-greenlet,
 python-netaddr,
 python-pastedeploy,
 python-routes,
 python-paste,
 python-sqlalchemy (>= 0.8.2),
 python-migrate,
 python-passlib,
 python-lxml,
 python-iso8601,
 python-keystoneclient (>= 1:0.3.0),
 python-oslo.config (>= 1:1.2.0a3),
 python-babel,
 python-dogpile.cache(>= 0.5.0)
Suggests: python-memcache, python-oauth2
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: OpenStack identity service - Python library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-keystone (= ${source:Version}),
 adduser,
 ssl-cert (>= 1.0.12)
Description: OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Description: OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

# auth_token middleware now requires access to HOME, otherwise
# test suite cause FTBFS.  See (LP: #1031022)
export HOME="$(CURDIR)/debian/tests/"

%:
	dh $@ --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=$(CURDIR) bash run_tests.sh -N
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
else
	mkdir -p $(CURDIR)/doc/build/html
	mkdir -p $(CURDIR)/doc/build/man
endif

override_dh_install:
	dh_install --fix-missing
	rm -rf debian/python-keystone/usr/lib/python*/*/doc
	rm -rf debian/python-keystone/usr/lib/python*/*/tools
	rm -rf debian/python-keystone/usr/lib/python*/*/examples
	install -D -m 0600 $(CURDIR)/debian/logging.conf $(CURDIR)/debian/keystone/etc/keystone/logging.conf
	install -D -m 0600 $(CURDIR)/etc/keystone.conf.sample  $(CURDIR)/debian/keystone/etc/keystone/keystone.conf

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
	rm -rf $(CURDIR)/keystone/test/keystone.sql.log $(CURDIR)/keystone/test/keystone.ldap.log
	rm -rf $(CURDIR)/doc/build
	# NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
	# should be fixed upstream or updated here post-essex 
	rm -rf $(CURDIR)/doc/source/keystone*.rst
	rm -rf $(CURDIR)/doc/source/modules.rst
	dh_clean

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

## keystone 2013.2.3

=== requirements.txt ===
# keystone dependencies
pbr>=0.5.21,<1.0
pam>=0.1.4
WebOb>=1.2.3,<1.3
eventlet>=0.13.0
greenlet>=0.3.2
netaddr
PasteDeploy>=1.5.0
Paste
Routes>=1.12.3
SQLAlchemy>=0.7.8,<=0.7.99
sqlalchemy-migrate>=0.7.2
passlib
lxml>=2.3
iso8601>=0.1.8
python-keystoneclient>=0.3.2
oslo.config>=1.2.0
Babel>=1.3
oauth2
dogpile.cache>=0.5.0

=== debian/changelog ===
keystone (1:2013.2.3-0ubuntu1~cloud0) precise-havana; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 17 Apr 2014 17:02:58 -0400

keystone (1:2013.2.3-0ubuntu1) saucy-proposed; urgency=medium

  * Resynchronize with stable/havana (b85a531) (LP: #1302575):
    - [a96d1a4] User a more accurate max_delay for reconnects
    - [a120f25] Fix issue deleting ec2-credentials as non-admin user
    - [181c3c1] SQLAlchemy Change to support more strict dialect checking
    - [b6f0e26] Ensure tokens are added to both Trustor and Trustee indexes
    - [b85a531] Fix list_projects_for_endpoint failed bug

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 04 Apr 2014 10:58:26 -0400

keystone (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  [ Chuck Short ]
  * Resynchronize with stable/havana (c22f2ed) (LP: #1284643):
    - [cecee8e] Keystone doesn't handle UTF8 in exceptions LP: 1253905
    - [2e9782b] Keystone doesn't handle UTF8 in exceptions LP: 1253905
    - [1091445] Have tox use pip upgrade when installing
    - [2724951] Orphan exchanges in Qpid and lack of option for making queues
      [un]durable LP: 1178375
    - [a5c7d23] List Trusts generates HTTP Error 500  LP: 1245590
    - [bd23600] publish_errors cfg option is broken  LP: 1240349
    - [987e18e] Adds fixture package from oslo
    - [73968f7] Some Python requirements are not hosted on PyPI LP: 1266513
    - [9056b66] keystone.token.backends.sql list_revoked_tokens performs very
      poorly LP: 1253755
    - [c22f2ed] _update_user_list_with_cas causes significant overhead (when
      using memcached as token store backend) LP: 1251123

  [ James Page ]
  * d/control: Add new BD on python-fixtures.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Feb 2014 09:41:56 -0500

keystone (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (03ed8c3) (LP: #1262788):
    - [e6adb2f] Opening stable/havana
    - [4221b60] Removing role adds role with LDAP backend LP: 1242855
    - [3c25be5] Update memcache to match global requirements for stable/havana
    - [d927273] Keystone tests determine rootdir relative to pwd LP: 1241198
    - [64ac189] Updated from global requirements
    - [03ed8c3] [OSSA 2013-032] Keystone trust circumvention through EC2-style
      tokens (CVE-2013-6391) LP: 1242597
  * Dropped patches, applied upstream:
    - debian/patches/CVE-2013-4477.patch: [4221b60]
    - debian/patches/CVE-2013-6391.patch: [03ed8c3]
  * debian/patches/fix-ubuntu-tests.patch: Update to skip a test introduced
    with [03ed8c3] that requires a more recent version of
    python-keystoneclient.
  * debian/patches/revert-stable-havana-requirements.patch: Revert
    version bumps to dependencies in stable/havana back to what was
    shipped with Saucy.

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 17 Dec 2013 20:08:25 -0800

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  python-babel,
  python-dogpile.cache (>= 0.5.0),
  python-eventlet,
+ python-fixtures,
  python-greenlet,
  python-keystoneclient (>= 1:0.3.0),
  python-ldap,

## keystone 2014.1

=== requirements.txt ===
# keystone dependencies
pbr>=0.6,<1.0
WebOb>=1.2.3
eventlet>=0.13.0
greenlet>=0.3.2
netaddr>=0.7.6
PasteDeploy>=1.5.0
Paste
Routes>=1.12.3
six>=1.5.2
SQLAlchemy>=0.7.8,<=0.9.99
sqlalchemy-migrate>=0.8.2,!=0.8.4
passlib
lxml>=2.3
iso8601>=0.1.9
python-keystoneclient>=0.7.0
oslo.config>=1.2.0
oslo.messaging>=1.3.0a9
Babel>=1.3
oauthlib>=0.6
dogpile.cache>=0.5.0
jsonschema>=2.0.0,<3.0.0
pycadf>=0.4.1

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Uploaders: Soren Hansen <soren@ubuntu.com>
Build-Depends:
 debhelper (>= 7.0.50),
 po-debconf,
 python-all (>= 2.6),
 python-babel,
 python-crypto,
 python-dogpile.cache (>= 0.5.0),
 python-eventlet,
 python-greenlet,
 python-iso8601,
 python-jsonschema,
 python-keystoneclient (>= 1:0.4.0),
 python-kombu (>= 2.4.8),
 python-ldap,
 python-lockfile,
 python-lxml,
 python-memcache,
 python-migrate,
 python-mock,
 python-mox,
 python-netaddr,
 python-netifaces,
 python-oauthlib,
 python-oslo.config (>= 1:1.2.0),
 python-oslo.messaging,
 python-oslosphinx,
 python-oslotest,
 python-pam (>= 0.1.4),
 python-passlib,
 python-paste,
 python-pastedeploy,
 python-pbr (>= 0.5),
 python-pecan,
 python-pycadf,
 python-pymongo,
 python-requests (>= 1.0.0),
 python-routes,
 python-setuptools,
 python-six,
 python-sphinx,
 python-sqlalchemy (>= 0.8.2),
 python-testtools (>= 0.9.32),
 python-webob (>= 1.0.8),
 python-webtest,
 python-wsme,
 subunit,
 testrepository
Standards-Version: 3.9.3
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/keystone
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/keystone/icehouse/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/keystone/icehouse
XS-Testsuite: autopkgtest

Package: python-keystone
Architecture: all
Section: python
Depends:
 python-babel,
 python-dogpile.cache(>= 0.5.0),
 python-eventlet,
 python-greenlet,
 python-iso8601,
 python-keystoneclient (>= 1:0.3.0),
 python-kombu (>= 2.4.8),
 python-lockfile,
 python-lxml,
 python-migrate,
 python-netaddr,
 python-oslo.config (>= 1:1.2.0a3),
 python-pam (>= 0.1.4),
 python-passlib,
 python-paste,
 python-pastedeploy,
 python-routes,
 python-sqlalchemy (>= 0.8.2),
 python-webob (>= 1.0.8),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-memcache
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: OpenStack identity service - Python library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Section: python
Depends:
 adduser,
 python-keystone (= ${source:Version}),
 ssl-cert (>= 1.0.12),
 ${misc:Depends},
 ${python:Depends}
Description: OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 https://launchpad.net/keystone/+download https://launchpad.net/keystone/.*/.*/.*/keystone-(.*)\.tar\.gz

## keystone 2014.1.3

=== requirements.txt ===
# keystone dependencies
pbr>=0.6,<1.0
WebOb>=1.2.3
eventlet>=0.13.0
greenlet>=0.3.2
netaddr>=0.7.6
PasteDeploy>=1.5.0
Paste
Routes>=1.12.3,!=2.0
six>=1.6.0
SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
sqlalchemy-migrate>=0.8.2,!=0.8.4,!=0.9.2
passlib
lxml>=2.3
iso8601>=0.1.9
python-keystoneclient>=0.7.0
oslo.config>=1.2.0
oslo.messaging>=1.3.0
Babel>=1.3
oauthlib>=0.6
dogpile.cache>=0.5.0
jsonschema>=2.0.0,<3.0.0
pycadf>=0.4.1

=== debian/changelog ===
keystone (1:2014.1.3-0ubuntu2.1) trusty-security; urgency=medium

  * No change rebuild for security:
    - [878f12e] Adds a whitelist for endpoint catalog substitution
      + CVE-2014-3621
      + LP: #1354208

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 21 Oct 2014 12:13:36 -0400

keystone (1:2014.1.3-0ubuntu2) trusty; urgency=medium

  [ Edward Hope-Morley ]
  * Added python-ldap as install dep (LP: #1364854)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Oct 2014 12:54:47 -0400

keystone (1:2014.1.3-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (8485dbc) (LP: #1377136):
    - [89ebfe9] Fix tests comparing tokens
    - [6bf25d0] Fix typo on cache backend module
    - [1c8f9f9] Set LDAP certificate trust options for LDAPS and TLS
    - [878f12e] Adds a whitelist for endpoint catalog substitution
    - [a391713] Remove extraenous instantiations of managers
    - [25cbcf5] Avoid conversion of binary LDAP values
    - [b3765d7] Catalog driver generates v3 catalog from v2 catalog
    - [824f66d] Ensure token is a string
    - [30f9247] Add workaround to support tox 1.7.2
    - [80502d3] Fixes catalog URL formatting to never return None
    - [f3198d8] Updates keystone.catalog.core.format_url tests
    - [c959cbd] Ignore broken endpoints in get_catalog
    - [126440d] Ignore broken endpoints in get_v3_catalog
    - [c48ec38] No longer allow listing users by email
    - [18d4843] Fixes an issue with the XMLEquals matcher
    - [c6cd627] Implicitly ignore attributes that are mapped to None in LDAP
    - [8485dbc] Remove `with_lockmode` use from Trust SQL backend.
  * d/p/fix-requirements.patch: Rebased.
  * d/p/add-version-info.patch: Rebased.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Oct 2014 09:08:41 -0400

keystone (1:2014.1.2.1-0ubuntu1) trusty; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (935fd60) (LP: #1354159):
    - [6cbf835] Fix revocation event handling with MySQL
    - [c900a6e] Make test_revoke expiry times distinct
    - [5c89c89] Fix revoking a scoped token from an unscoped token
    - [dfb0ff0] Add a test for revoking a scoped token from an unscoped
    - [317f9d3] Fix revoking domain-scoped tokens
    - [cccc3f3] Correct revocation event test for domain_id
    - [bdb88c6] Fix for V2 token issued_at time changing
    - [0c34e79] Add tests related to V2 token issued_at time changing
    - [8e87504] Don't override tox envdir for pep8
    - [774b6ab] Correct the region table to be InnoDB and UTF8
    - [6f8c444] HEAD responses should return same status as GET
    - [44555e8] Ensure that in v2 auth tenant_id matches trust
    - [2baae78] Do not log 14+ INFO lines on a broken pipe error (eventlet)
    - [cef4fbc] Properly invalidate cache for get_*_by_name methods
    - [e08b62a] Make sure domains are enabled by default
    - [7378512] Block delegation escalation of privilege
    - [935fd60] Encode/Decode LDAP parameters to/from UTF-8
  * d/p/fix-requirements.patch: Refreshed.

  [ James Page ]
  * d/watch: Point to tarballs.openstack.org for release artifacts.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Aug 2014 16:47:10 -0400

keystone (1:2014.1.1-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (1716748) (LP: #1328134):
    - [4408625] sql migration: ensure using innodb utf8 for assignment table
    - [786af98] SQL and LDAP fixes for get_roles_for_user_and_project user=group ID
    - [e56fe4c] Updated from global requirements
    - [0bd819c] Removed duplication with list_user_ids_for_project
    - [b932321] Allow any attributes in mapping and include in results
    - [1716748] Treat LDAP attribute names as case-insensitive
  * d/p/fix-requirements.patch: Drop minimum version of six to align to version
    in Ubuntu 14.04.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Jun 2014 15:57:33 -0400

=== debian/control ===
--- 
+++ 
@@ -69,6 +69,7 @@
  python-iso8601,
  python-keystoneclient (>= 1:0.3.0),
  python-kombu (>= 2.4.8),
+ python-ldap,
  python-lockfile,
  python-lxml,
  python-migrate,

=== debian/tests/control ===
Tests: python-keystone keystone-daemon
Depends: python-keystone, keystone
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/keystone keystone-(.*)\.tar\.gz

## keystone 2014.1.5

=== requirements.txt ===
# keystone dependencies
pbr>=0.6,<1.0
WebOb>=1.2.3,<=1.4
eventlet>=0.13.0,<0.16.0
greenlet>=0.3.2,<=0.4.5
netaddr>=0.7.6,<=0.7.14
PasteDeploy>=1.5.0,<=1.5.2
Paste
Routes>=1.12.3,!=2.0
six>=1.6.0,<=1.9.0
SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
sqlalchemy-migrate>=0.8.2,!=0.8.4,<=0.9.1
passlib
lxml>=2.3,<=3.4.2
iso8601>=0.1.9,<=0.1.10
python-keystoneclient>=0.7.0,<0.12.0
oslo.config>=1.2.0,<1.5
oslo.messaging>=1.3.0,<1.5
Babel>=1.3,<=1.3
oauthlib>=0.6
dogpile.cache>=0.5.0
jsonschema>=2.0.0,<3.0.0
pycadf>=0.4.1,<0.6.0

=== debian/changelog ===
keystone (1:2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (91255f1) (LP: #1467533):
    - [a1548eb] backend_argument should be marked secret
    - [e6eba4b] Remove oslo.serialization from requirements.txt
    - [0e0efdb] Work with pymongo 3.0
    - [91255f1] Deal with PEP-0476 certificate chaining checking
  * d/p/drop-oslo-serialization.patch: Dropped; Fixed upstream.
  * d/p/fix-requirements.patch: Rebased

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 22 Jun 2015 10:14:38 -0400

keystone (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/p/drop-oslo-serialization.patch: Drop oslo.serialization (LP: #1437741).
  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2015 09:07:47 -0400

keystone (1:2014.1.4-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (9aec35a) (LP: #1432608):
    - [d72e6fa] Correct initialization order for logging to use eventlet locks
    - [0967058] Additional test coverage for password changes
    - [f45f678] Keystoneclient tests from venv-installed client
    - [5d2e2ce] Fix race on default role creation
    - [35d937d] Fix test_provider_token_expiration_validation transient failure
    - [3817e75] Make sure scoping to the project of a disabled domain result in 401.
    - [9aec35a] Add oslo.serialization for latest keystoneclient
  * d/p/fix-requirements.patch: Rebased
  * d/p/fix-ubuntu-tests.patch: Rebased

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Mar 2015 09:31:57 +0000

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
  python-requests (>= 1.0.0),
  python-routes,
  python-setuptools,
- python-six,
+ python-six (>= 1.5.2),
  python-sphinx,
  python-sqlalchemy (>= 0.8.2),
  python-testtools (>= 0.9.32),
@@ -80,6 +80,7 @@
  python-paste,
  python-pastedeploy,
  python-routes,
+ python-six (>= 1.5.2),
  python-sqlalchemy (>= 0.8.2),
  python-webob (>= 1.0.8),
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -12,16 +12,19 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	PYTHONPATH=$(CURDIR) bash run_tests.sh -N
+	patch -p1 -R < debian/patches/sql_connection.patch
+	mkdir -p $(CURDIR)/keystone/tests/tmp
+	./run_tests.sh -N -P
+	patch -p1 < debian/patches/sql_connection.patch
 endif
 
 override_dh_auto_build:
 	dh_auto_build
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	python setup.py build_sphinx
-else
 	mkdir -p $(CURDIR)/doc/build/html
 	mkdir -p $(CURDIR)/doc/build/man
+	sphinx-build -b man doc/source doc/build/man
+	sphinx-build -b html doc/source doc/build/html
 endif
 
 override_dh_install:
@@ -34,7 +37,9 @@
 
 override_dh_clean:
 	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
-	rm -rf $(CURDIR)/keystone/test/keystone.sql.log $(CURDIR)/keystone/test/keystone.ldap.log
+	rm -rf $(CURDIR)/keystone/tests/tmp
+	rm -rf $(CURDIR)/.testrepository
+	rm -rf $(CURDIR)/debian/tmp
 	rm -rf $(CURDIR)/doc/build
 	# NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
 	# should be fixed upstream or updated here post-essex

## keystone 2014.2

=== debian/control ===
--- 
+++ 
@@ -6,83 +6,95 @@
 Uploaders: Soren Hansen <soren@ubuntu.com>
 Build-Depends:
  debhelper (>= 7.0.50),
+ pep8,
  po-debconf,
  python-all (>= 2.6),
- python-babel,
- python-crypto,
- python-dogpile.cache (>= 0.5.0),
- python-eventlet,
- python-greenlet,
- python-iso8601,
- python-jsonschema,
- python-keystoneclient (>= 1:0.4.0),
+ python-babel (>= 1.3),
+ python-dogpile.cache (>= 0.5.3),
+ python-eventlet (>= 0.13.0),
+ python-fixtures (>= 0.3.14),
+ python-greenlet (>= 0.3.2),
+ python-iso8601 (>= 0.1.9),
+ python-jsonschema (>= 2.0.0),
+ python-keystoneclient (>= 1:0.9.0),
+ python-keystonemiddleware (>= 1.0.0),
  python-kombu (>= 2.4.8),
- python-ldap,
- python-lockfile,
+ python-nose,
+ python-lockfile (>= 0.8),
+ python-ldappool,
  python-lxml,
  python-memcache,
- python-migrate,
+ python-migrate (>= 0.9.1),
  python-mock,
- python-mox,
- python-netaddr,
- python-netifaces,
- python-oauthlib,
- python-oslo.config (>= 1:1.2.0),
- python-oslo.messaging,
+ python-netaddr (>= 0.7.6),
+ python-oauthlib (>= 0.6),
+ python-oslo.i18n,
+ python-oslo.config (>= 1:1.4.0~a3),
+ python-oslo.db (>= 0.2.0),
+ python-oslo.messaging (>= 1.4.0~a3),
  python-oslosphinx,
  python-oslotest,
- python-pam (>= 0.1.4),
+ python-oslo.utils (>= 0.1.1),
  python-passlib,
  python-paste,
- python-pastedeploy,
- python-pbr (>= 0.5),
- python-pecan,
- python-pycadf,
+ python-pastedeploy (>= 1.5.0),
+ python-pbr (>= 0.6),
+ python-posix-ipc,
+ python-pycadf (>= 0.6.0),
  python-pymongo,
- python-requests (>= 1.0.0),
- python-routes,
+ python-requests (>= 1.1.0),
+ python-routes (>= 1.12.3),
  python-setuptools,
- python-six (>= 1.5.2),
+ python-stevedore (>= 0.14),
+ python-six (>= 1.7.0),
  python-sphinx,
- python-sqlalchemy (>= 0.8.2),
- python-testtools (>= 0.9.32),
- python-webob (>= 1.0.8),
+ python-sqlalchemy (>= 0.8.4),
+ python-testtools (>= 0.9.34),
+ python-testscenarios (>= 0.4),
+ python-webob (>= 1.2.3),
  python-webtest,
- python-wsme,
  subunit,
  testrepository
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/keystone
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/keystone/icehouse/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/keystone/icehouse
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/keystone/juno/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/keystone/juno
 XS-Testsuite: autopkgtest
 
 Package: python-keystone
 Architecture: all
 Section: python
 Depends:
- python-babel,
- python-dogpile.cache(>= 0.5.0),
- python-eventlet,
- python-greenlet,
- python-iso8601,
- python-keystoneclient (>= 1:0.3.0),
+ python-babel (>= 1.3),
+ python-dogpile.cache (>= 0.5.3),
+ python-eventlet (>= 0.13.0),
+ python-greenlet (>= 0.3.2),
+ python-iso8601 (>= 0.1.9),
+ python-jsonschema (>= 2.0.0),
+ python-keystoneclient (>= 1:0.9.0),
+ python-keystonemiddleware (>= 1.0.0),
  python-kombu (>= 2.4.8),
- python-ldap,
- python-lockfile,
- python-lxml,
- python-migrate,
- python-netaddr,
- python-oslo.config (>= 1:1.2.0a3),
+ python-migrate (>= 0.9.1),
+ python-netaddr (>= 0.7.6),
+ python-oauthlib (>= 0.6),
+ python-oslo.config (>= 1:1.4.0~a3),
+ python-oslo.messaging (>= 1.4.0~a3),
+ python-oslo.db (>= 0.2.0),
+ python-oslo.i18n (>= 0.1.0),
+ python-oslo.utils (>= 0.1.1),
  python-pam (>= 0.1.4),
  python-passlib,
  python-paste,
  python-pastedeploy,
- python-routes,
- python-six (>= 1.5.2),
- python-sqlalchemy (>= 0.8.2),
- python-webob (>= 1.0.8),
+ python-posix-ipc,
+ python-pycadf (>= 0.6.0),
+ python-routes (>= 1.12.3),
+ python-six (>= 1.7.0),
+ python-sqlalchemy (>= 0.8.4),
+ python-webob (>= 1.2.3),
+ python-ldap,
+ python-ldappool,
  ${misc:Depends},
  ${python:Depends}
 Suggests: python-memcache

## keystone 2014.2.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# keystone dependencies
pbr>=0.6,!=0.7,<1.0
WebOb>=1.2.3,<=1.3.1
eventlet>=0.15.1,<=0.15.2
greenlet>=0.3.2,<=0.4.2
netaddr>=0.7.12,<=0.7.13
PasteDeploy>=1.5.0,<=1.5.2
Paste<=1.7.5.1
Routes>=1.12.3,!=2.0,<=2.1
six>=1.7.0,<=1.9.0
SQLAlchemy>=0.8.4,<=0.9.99,!=0.9.0,!=0.9.1,!=0.9.2,!=0.9.3,!=0.9.4,!=0.9.5,!=0.9.6
sqlalchemy-migrate==0.9.1
passlib<=1.6.2
iso8601>=0.1.9,<=0.1.10
python-keystoneclient>=0.10.0,<=1.1.0
keystonemiddleware>=1.0.0,<1.4.0
oslo.config>=1.4.0,<=1.6.0 # Apache-2.0
oslo.messaging>=1.4.0,<1.5.0
oslo.db>=1.0.0,<1.1  # Apache-2.0
oslo.i18n>=1.0.0,<=1.3.1 # Apache-2.0
# only for Keystone tests running against keystoneclient master
oslo.serialization>=1.0.0,<=1.2.0 # Apache-2.0
oslo.utils>=1.0.0,<=1.2.1 # Apache-2.0
Babel>=1.3,<=1.3
oauthlib>=0.6,<=0.7.2
dogpile.cache>=0.5.3,<=0.5.6
jsonschema>=2.0.0,<3.0.0
pycadf>=0.6.0,<0.7.0  # Apache-2.0
posix_ipc<=0.9.9

=== debian/changelog ===
keystone (1:2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronize with stable/juno (5db3733) (LP: #1443429):
    - [e2bbebe] Work with pymongo 3.0
    - [0c7535b] Fix up _ldap_res_to_model for ldap identity backend
    - [e3cfba8] Speed up memcache lock
    - [3db10d0] Correct initialization order for logging to use eventlet locks
    - [2fd68a0] Updated from global requirements
    - [027236c] Don't try to convert LDAP attributes to boolean
    - [ddfa37e] Make identity id mapping handle unicode
    - [a322cee] Improve testing of unicode id mapping
    - [d8b145e] Fix the syntax issue on creating table `endpoint_group`
    - [7a613ae] Keystoneclient tests from venv-installed client
    - [5db3733] Bump stable/juno version to 2014.2.3
    - [b84e22b] Fix race on default role creation
    - [a475757] fix the wrong update logic of catalog kvs driver
    - [75ed605] do parameter check before updating endpoint_group
  * debian/patches/fix-ubuntu-tests.patch: Dropped no longer needed.
 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Apr 2015 09:34:08 -0400

keystone (1:2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (aa23ce0) (LP: #1418695):
    - [4cdd217] Additional test coverage for password changes
    - [acdf034] explicit namespace prefixes for SAML2 assertion
    - [44c1bd0] Fix modifying a role with same name using LDAP
    - [7fc6585] Add a test for modifying a role to set the name the same
    - [fc6e9e8] Fix disabling entities when enabled is ignored
    - [85c658f] Add tests for enabled attribute ignored
    - [1594c84] Fix update role without name using LDAP
    - [d6ded70] Add test for update role without name
    - [afd4e0d] Exclude domains with inherited roles from user domain list.
    - [eeda52e] Improve testing of exclusion of inherited roles.
    - [e5b660e] Fix project federation tokens for inherited roles.
    - [609c5b3] Improve testing of project federation tokens for inherited roles.
    - [5ec7357] Fix domain federation tokens for inherited roles.
    - [4a914d7] Improve testing of domain federation tokens for inherited roles.
    - [a9a843e] User ids that begin with 0 cannot authenticate through ldap
    - [aa23ce0] Move unit tests from test_backend_ldap
  * d/control: Bump minimum python-eventlet to get socket_timeout support.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 15:32:52 -0500

keystone (1:2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (d7eb999) (LP: #1398952):
    - [f54fa8f] Prevent infinite loop in token_flush
    - [bd92689] Adds IPv6 url validation support
    - [db291b3] Use newer python-ldap paging control API
    - [d7eb999] Add oslo.serialization for latest keystoneclient

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Dec 2014 13:08:52 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python-all (>= 2.6),
  python-babel (>= 1.3),
  python-dogpile.cache (>= 0.5.3),
- python-eventlet (>= 0.13.0),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-fixtures (>= 0.3.14),
  python-greenlet (>= 0.3.2),
  python-iso8601 (>= 0.1.9),
@@ -68,7 +68,7 @@
 Depends:
  python-babel (>= 1.3),
  python-dogpile.cache (>= 0.5.3),
- python-eventlet (>= 0.13.0),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-greenlet (>= 0.3.2),
  python-iso8601 (>= 0.1.9),
  python-jsonschema (>= 2.0.0),

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,12 @@
 override_dh_auto_test:
 	patch -p1 -R < debian/patches/sql_connection.patch
 	mkdir -p $(CURDIR)/keystone/tests/tmp
-	./run_tests.sh -N -P
+	rm -rf .testrepository
+	testr init && \
+		set -e && \
+		TEMP_REZ=`mktemp -t` && \
+		testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
+		rm -f $$TEMP_REZ
 	patch -p1 < debian/patches/sql_connection.patch
 endif
 
@@ -28,7 +33,7 @@
 endif
 
 override_dh_install:
-	dh_install --fix-missing
+	dh_install --fail-missing
 	rm -rf debian/python-keystone/usr/lib/python*/*/doc
 	rm -rf debian/python-keystone/usr/lib/python*/*/tools
 	rm -rf debian/python-keystone/usr/lib/python*/*/examples

## keystone 2014.2.4

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# keystone dependencies
pbr!=0.7,<1.0,>=0.6
WebOb<=1.3.1,>=1.2.3
eventlet<=0.15.2,>=0.15.1
greenlet<=0.4.2,>=0.3.2
netaddr<=0.7.13,>=0.7.12
PasteDeploy<=1.5.2,>=1.5.0
Paste<=1.7.5.1
Routes!=2.0,<=2.1,>=1.12.3
six<=1.9.0,>=1.7.0
SQLAlchemy!=0.9.0,!=0.9.1,!=0.9.2,!=0.9.3,!=0.9.4,!=0.9.5,!=0.9.6,<=0.9.99,>=0.8.4
sqlalchemy-migrate==0.9.1
passlib<=1.6.2
iso8601<=0.1.10,>=0.1.9
python-keystoneclient<1.2.0,>=0.10.0
keystonemiddleware<1.4.0,>=1.0.0
oslo.config<=1.6.0,>=1.4.0 # Apache-2.0
oslo.messaging<1.5.0,>=1.4.0
oslo.db<1.1,>=1.0.0 # Apache-2.0
oslo.i18n<=1.3.1,>=1.3.0 # Apache-2.0
# only for Keystone tests running against keystoneclient master
oslo.serialization<=1.2.0,>=1.0.0 # Apache-2.0
oslo.utils<1.5.0,>=1.4.0 # Apache-2.0
Babel<=1.3,>=1.3
oauthlib<=0.7.2,>=0.6
dogpile.cache<=0.5.6,>=0.5.3
jsonschema<3.0.0,>=2.0.0
pycadf!=0.6.2,<0.7.0,>=0.6.0 # Apache-2.0
posix-ipc<=0.9.9

=== debian/changelog ===
keystone (1:2014.2.4-0ubuntu1~cloud2) trusty-juno; urgency=medium

  * d/control: Add missing dependencies to Depends (LP: #1524177).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2015 12:13:18 -0500

keystone (1:2014.2.4-0ubuntu1~cloud1) trusty-juno; urgency=medium

  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Nov 2015 16:51:26 -0500

keystone (1:2014.2.4-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * Resynchronize with stable/juno (695153a) (LP: #1518323):
    - [37b53ed] Test v2 tokens being deleted by v3
    - [d2d6aba] Eventlet green threads not released back to pool
    - [c15cbc4] Mask passwords in debug log on user password operations
    - [a703754] Add test showing password logged
    - [523cffa] Fix xmldsig import
    - [10d3b27] Deal with PEP-0476 certificate chaining checking
    - [695153a] backend_argument should be marked secret
  * d/p/fix-requirements.patch: Revert python-oslo.i18n and python-oslo.utils
    to >= 1.0.0.
  * d/p/skip-pysaml2.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Nov 2015 15:00:17 -0500

=== debian/control ===
--- 
+++ 
@@ -80,13 +80,15 @@
  python-oauthlib (>= 0.6),
  python-oslo.config (>= 1:1.4.0~a3),
  python-oslo.messaging (>= 1.4.0~a3),
- python-oslo.db (>= 0.2.0),
- python-oslo.i18n (>= 0.1.0),
- python-oslo.utils (>= 0.1.1),
+ python-oslo.db (>= 1.0.0),
+ python-oslo.i18n (>= 1.0.0),
+ python-oslo.serialization (>= 1.0.0),
+ python-oslo.utils (>= 1.0.0),
  python-pam (>= 0.1.4),
  python-passlib,
  python-paste,
  python-pastedeploy,
+ python-pbr (>= 0.6),
  python-posix-ipc,
  python-pycadf (>= 0.6.0),
  python-routes (>= 1.12.3),

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,9 @@
 	sphinx-build -b html doc/source doc/build/html
 endif
 
+override_dh_python2:
+	dh_python2 --no-guessing-deps
+
 override_dh_install:
 	dh_install --fail-missing
 	rm -rf debian/python-keystone/usr/lib/python*/*/doc

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/keystone keystone-(\d.*)\.tar\.gz

## keystone 2015.1~rc1

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Uploaders: Soren Hansen <soren@ubuntu.com>
Build-Depends:
 debhelper (>= 9~),
 dh-systemd,
 openstack-pkg-tools (>= 21ubuntu5~),
 pep8,
 po-debconf,
 python-all (>= 2.6),
 python-babel (>= 1.3),
 python-coverage (>= 3.6),
 python-cryptography (>= 0.8),
 python-dogpile.cache (>= 0.5.3),
 python-eventlet (>= 0.16.1),
 python-fixtures (>= 0.3.14),
 python-greenlet (>= 0.3.2),
 python-hacking (>= 0.10.0),
 python-iso8601 (>= 0.1.9),
 python-jsonschema (>= 2.0.0),
 python-keystoneclient (>= 1:1.1.0),
 python-keystonemiddleware (>= 1.5.0),
 python-kombu (>= 2.4.8),
 python-ldappool,
 python-lockfile (>= 0.8),
 python-lxml (>= 2.3),
 python-memcache (>= 1.48),
 python-migrate (>= 0.9.1),
 python-mock (>= 1.0),
 python-msgpack (>= 0.4.0),
 python-netaddr (>= 0.7.12),
 python-nose,
 python-oauthlib (>= 0.6),
 python-oslo-concurrency (>= 1.8.0),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-db (>= 1.7.0),
 python-oslo-i18n (>= 1.5.0),
 python-oslo-log (>= 1.0.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-middleware (>= 1.0.0),
 python-oslo-policy (>= 0.3.1),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-oslosphinx (>= 2.2.0),
 python-oslotest (>= 1:1.2.0),
 python-passlib,
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-posix-ipc,
 python-pycadf (>= 0.8.0),
 python-pymongo (>= 2.5),
 python-pysaml2,
 python-requests (>= 2.2.0),
 python-routes (>= 1.12.3),
 python-setuptools,
 python-six (>= 1.9.0),
 python-sphinx (>= 1.1.2),
 python-testtools (>= 0.9.36),
 python-tempest-lib (>= 0.4.0),
 python-webob (>= 1.2.3),
 python-webtest (>= 2.0),
 subunit (>= 0.0.18),
 testrepository (>= 0.0.18)
Standards-Version: 3.9.6
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/keystone
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/keystone/kilo/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/keystone/kilo
XS-Testsuite: autopkgtest

Package: python-keystone
Architecture: all
Section: python
Depends:
 python-babel (>= 1.3),
 python-cryptography (>= 0.8),
 python-dogpile.cache (>= 0.5.3),
 python-eventlet (>= 0.16.1),
 python-greenlet (>= 0.3.2),
 python-iso8601 (>= 0.1.9),
 python-jsonschema (>= 2.0.0),
 python-keystoneclient (>= 1:1.1.0),
 python-keystonemiddleware (>= 1.5.0),
 python-kombu (>= 2.4.8),
 python-ldap (>= 2.4),
 python-ldappool (>= 1.0),
 python-migrate (>= 0.9.1),
 python-msgpack (>= 0.4.0),
 python-netaddr (>= 0.7.12),
 python-oauthlib (>= 0.6),
 python-oslo-concurrency (>= 1.8.0),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-db (>= 1.7.0),
 python-oslo-i18n (>= 1.5.0),
 python-oslo-log (>= 1.0.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-middleware (>= 1.0.0),
 python-oslo-policy (>= 0.3.1),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-pam (>= 0.1.4),
 python-passlib,
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-posix-ipc,
 python-pycadf (>= 0.8.0),
 python-routes (>= 1.12.3),
 python-six (>= 1.9.0),
 python-sqlalchemy (>= 0.9.7),
 python-webob (>= 1.2.3),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-memcache, python-pysaml2
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: OpenStack identity service - Python library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Section: python
Depends:
 adduser,
 python-keystone (= ${source:Version}),
 ssl-cert (>= 1.0.12),
 ${misc:Depends},
 ${python:Depends}
Description: OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,15 @@
 
 # Verbose mode
 #export DH_VERBOSE=1
+
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 # auth_token middleware now requires access to HOME, otherwise
 # test suite cause FTBFS.  See (LP: #1031022)
 export HOME="$(CURDIR)/debian/tests/"
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,systemd
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
@@ -32,9 +34,6 @@
 	sphinx-build -b html doc/source doc/build/html
 endif
 
-override_dh_python2:
-	dh_python2 --no-guessing-deps
-
 override_dh_install:
 	dh_install --fail-missing
 	rm -rf debian/python-keystone/usr/lib/python*/*/doc
@@ -42,6 +41,7 @@
 	rm -rf debian/python-keystone/usr/lib/python*/*/examples
 	install -D -m 0600 $(CURDIR)/debian/logging.conf $(CURDIR)/debian/keystone/etc/keystone/logging.conf
 	install -D -m 0600 $(CURDIR)/etc/keystone.conf.sample  $(CURDIR)/debian/keystone/etc/keystone/keystone.conf
+	install -D -m 0644 $(CURDIR)/httpd/keystone.py $(CURDIR)/debian/python-keystone/usr/share/keystone/wsgi.py
 
 override_dh_clean:
 	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
@@ -53,6 +53,7 @@
 	# should be fixed upstream or updated here post-essex 
 	rm -rf $(CURDIR)/doc/source/keystone*.rst
 	rm -rf $(CURDIR)/doc/source/modules.rst
+	rm -f debian/*.init debian/*.service debian/*.upstart
 	dh_clean
 
 get-orig-source:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/" \
 http://tarballs.openstack.org/keystone keystone-(\d.*)\.tar\.gz

## keystone 2015.1%7erc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
WebOb>=1.2.3
eventlet>=0.16.1,!=0.17.0
greenlet>=0.3.2
netaddr>=0.7.12
PasteDeploy>=1.5.0
Paste
Routes>=1.12.3,!=2.0
cryptography>=0.8 # Apache-2.0
six>=1.9.0
SQLAlchemy>=0.9.7,<=0.9.99
sqlalchemy-migrate>=0.9.5
passlib
iso8601>=0.1.9
python-keystoneclient>=1.1.0
keystonemiddleware>=1.5.0
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.log>=1.0.0,<1.1.0  # Apache-2.0
oslo.middleware>=1.0.0,<1.1.0                  # Apache-2.0
oslo.policy>=0.3.1,<0.4.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
oauthlib>=0.6
pysaml2
dogpile.cache>=0.5.3
jsonschema>=2.0.0,<3.0.0
pycadf>=0.8.0
posix_ipc
msgpack-python>=0.4.0

## keystone 2015.1.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=0.7,<1.0,>=0.6
WebOb>=1.2.3
eventlet!=0.17.0,>=0.16.1
greenlet>=0.3.2
netaddr>=0.7.12
PasteDeploy>=1.5.0
Paste
Routes!=2.0,>=1.12.3
cryptography>=0.8 # Apache-2.0
six>=1.9.0
SQLAlchemy<=0.9.99,>=0.9.7
sqlalchemy-migrate!=0.9.8,<0.10.0,>=0.9.5
passlib
iso8601>=0.1.9
python-keystoneclient<1.4.0,>=1.2.0
keystonemiddleware<1.6.0,>=1.5.0
oslo.concurrency<1.9.0,>=1.8.2 # Apache-2.0
oslo.config<1.10.0,>=1.9.3 # Apache-2.0
oslo.messaging<1.9.0,>=1.8.0 # Apache-2.0
oslo.db<1.8.0,>=1.7.0 # Apache-2.0
oslo.i18n<1.6.0,>=1.5.0 # Apache-2.0
oslo.log<1.1.0,>=1.0.0 # Apache-2.0
oslo.middleware<1.1.0,>=1.0.0 # Apache-2.0
oslo.policy<0.4.0,>=0.3.1 # Apache-2.0
oslo.serialization<1.5.0,>=1.4.0 # Apache-2.0
oslo.utils!=1.4.1,<1.5.0,>=1.4.0 # Apache-2.0
oauthlib>=0.6
pysaml2
dogpile.cache>=0.5.3
jsonschema<3.0.0,>=2.0.0
pycadf<0.9.0,>=0.8.0
posix-ipc
msgpack-python>=0.4.0

=== debian/changelog ===
keystone (1:2015.1.2-0ubuntu2) vivid; urgency=medium

  [ Chuck Short ]
  * Resynchronize with stable/kilo (8a2da01) (LP: #1506058):
    - [8a2da01] Reject rule if assertion type unset
    - [9dfad21] Validate domain ownership for v2 tokens
    - [8bd9b22] Maintain the expiry of v2 fernet tokens
    - [aa3354e] Fernet 'expires' value loses 'ms' after validation
    - [0ed33e3] Test to ensure fernet key rotation results in new key sets
    - [2f580e4] Reduce number of Fernet log messages
    - [6c106e9] Handle non-numeric files in key_repository
    - [fb7f4a7] Replace 401 to 404 when token is invalid
    - [a1e20fb] Additional Fernet test coverage
    - [cfbc0f1] Tests for correct key removed
    - [c6ec36b] Add unit test for fernet provider
    - [17b7dbc] Add unit test to exercise key rotation
    - [7498154] Fix Fernet key rotation
    - [1608f72] Refactor: move PKI-specific tests into the appropriate class
    - [a9726d2] Don't assume project IDs are UUID format
    - [f8afb29] Don't assume group IDs are UUID format
    - [b255b8f] Don't fail on converting user ids to bytes
    - [0fde127] Properly stub out the V2 and V3 XML middlewares
    - [666be4d] Fix for LDAP filter on group search by name
    - [bc96d9f] Make sure LDAP filter is constructed correctly
    - [0fe2b70] Do not remove expired revocation events on "get"
    - [20fd5af] Fix WSGI request logging
    - [e9aa267] Add openstack_user_domain to assertion

  [ Corey Byrant ]
  * d/rules: Prevent dh_python2 from guessing dependencies.
  * d/control: Move python-pysaml2 to Depends.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 15 Oct 2015 08:54:19 -0400

keystone (1:2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (54400bf) (LP: #1481008):
    - [c4dc133] Mask passwords in debug log on user password operations
    - [fba2d5c] Add test showing password logged
    - [afaaf11] Fix xmldsig import
    - [ec30329] Pass-in domain when testing saml signing
    - [0c0bf69] Add openstack_project_domain to assertion
    - [dafe5f9] Fix signed_saml2_assertion.xml tests fixture
    - [67cda0c] Eventlet green threads not released back to pool
    - [54400bf] Remove project association before removing endpoint group

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Aug 2015 14:30:05 -0400

=== debian/control ===
--- 
+++ 
@@ -109,13 +109,14 @@
  python-pbr (>= 0.6),
  python-posix-ipc,
  python-pycadf (>= 0.8.0),
+ python-pysaml2,
  python-routes (>= 1.12.3),
  python-six (>= 1.9.0),
  python-sqlalchemy (>= 0.9.7),
  python-webob (>= 1.2.3),
  ${misc:Depends},
  ${python:Depends}
-Suggests: python-memcache, python-pysaml2
+Suggests: python-memcache
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: OpenStack identity service - Python library

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,9 @@
 	sphinx-build -b html doc/source doc/build/html
 endif
 
+override_dh_python2:
+	dh_python2 --no-guessing-deps
+
 override_dh_install:
 	dh_install --fail-missing
 	rm -rf debian/python-keystone/usr/lib/python*/*/doc

## keystone 2015.1.4

=== debian/changelog ===
keystone (1:2015.1.4-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1580334).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 May 2016 17:00:20 -0400

keystone (1:2015.1.3-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1559215).

 -- James Page <james.page@ubuntu.com>  Fri, 18 Mar 2016 19:59:35 +0000
